Download alerts
GET
https://api.coralogix.com/mgmt/openapi/5/alerts/alerts/v3/all/downloadDownload alert definitions in base64-encoded byte format. When ids are provided, only those alert definitions are downloaded; otherwise all accessible alert definitions are downloaded.
Requires the following permissions:
alerts:ReadConfig
Authorizations
Authorizationrequired
API key authentication
The value is a Coralogix API key. Create a personal or team API key and assign its permissions.
Request
Query Parameters
ids# string[]
Possible values: <= 1000
Optional list of alert definition IDs to download. When empty, all accessible alert definitions are downloaded. IDs that are not found or not accessible are omitted from the download and reported in the response notFoundIds (no error is returned for them).
Example:
["123e4567-e89b-12d3-a456-426614174000"]Response
application/json
A response containing the downloaded alert data
notFoundIds#string[]
Requested alert definition IDs that were not included in the download because they were not found or are not accessible. Populated on the first streamed message.
Possible values: <= 1000
Example:
["123e4567-e89b-12d3-a456-426614174000"]